Bug 18050 - gnome-terminal problem with vt100 line graphics
Summary: gnome-terminal problem with vt100 line graphics
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-libs   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-02 02:27 UTC by Sam Varshavchik
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-02 15:17:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sam Varshavchik 2000-10-02 02:27:45 UTC
There appears to be a problem with gnome-terminal's handling of vt100
graphic line characters. Well, they don't work, at least with either
TERM=xterm or TERM=gnome.

For an example, run /usr/bin/ctali (gnome-games RPM).  When running ctali
inside xterm, the main ctali screen contains horizontal and vertical vt100
line graphic characters. The borders of the dices are also drawn using
vt100 line graphic characters.  When you run ctali inside gnome-terminal,
no line graphic characters are shown.  The gnome terminfo entry does
specify the vt100 line graphic character set capability (the acsc
capability), so either the terminfo entry for gnome is wrong, or there's a
bug in gnome-terminal.

Comment 1 Nalin Dahyabhai 2000-10-02 05:14:21 UTC
Which fonts are you using with gnome-terminal?  Is it part of the "fixed" set
(i.e., "7x14", "10x20")?

Comment 2 Sam Varshavchik 2000-10-02 05:24:12 UTC
No, the font is set to -adobe-courier-medium-r-normal-*-*-140-*-*-m-*-iso8859-1

The only "fixed" point size that is shown in gnome-terminal's preferences is a
12pt font. gnome-terminal's font selection dialog does not appear to offer any
other fixed-size 12pt font, except for adobe-courier, which looks OK, actually. 
I don't see any other fixed point fonts in the font selection dialog.



Comment 3 Sam Varshavchik 2000-10-02 05:26:42 UTC
To clarify -- the sole fixed font size of 12pt is too small.

Comment 4 Alan Cox 2000-10-02 08:36:06 UTC
Adobe courier is an iso8859-1 font. It doesn't have DEC line drawing characters
in it.


Comment 5 Sam Varshavchik 2000-10-02 11:51:26 UTC
xterm -fn '-adobe-courier-medium-r-normal--20-140-100-100-m-110-iso8859-1'

ctali

I still get line drawing characters in xterm, with an adobe font.

xterm, apparently, supports VT100 line drawing characters directly, in any font.



Comment 6 Havoc Pennington 2000-10-02 15:17:02 UTC
I'm forwarding this upstream, and reassigning to the terminal widget in gnome-libs.

Comment 7 Havoc Pennington 2001-07-12 17:55:24 UTC
xterm emulates line drawing chars for fonts that lack them. 

upstream as http://bugzilla.gnome.org/show_bug.cgi?id=57443

Closing here.


Note You need to log in before you can comment on or make changes to this bug.